*** empty log message ***
authorJim Meyering <jim@meyering.net>
Wed, 10 Jan 2001 09:56:04 +0000 (09:56 +0000)
committerJim Meyering <jim@meyering.net>
Wed, 10 Jan 2001 09:56:04 +0000 (09:56 +0000)
tests/cp/into-self [new file with mode: 0755]

diff --git a/tests/cp/into-self b/tests/cp/into-self
new file mode 100755 (executable)
index 0000000..2d40022
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/sh
+# confirm that copying a directory into itself gets a proper diagnostic
+
+if test "$VERBOSE" = yes; then
+  set -x
+  cp --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=into-self.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir dir || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo 'failure in testing framework' 1>&2
+  (exit 1); exit
+fi
+
+fail=0
+
+# This command should exit nonzero.
+cp -R dir dir 2> out && fail=1
+
+cat > exp <<\EOF
+cp: can't copy a directory `dir' into itself `dir/dir'
+EOF
+#'
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit